\documentclass{article}
\usepackage{url}
\usepackage[dvips]{graphicx}
\usepackage{graphics}
\usepackage{color}
\usepackage{booktabs}
\usepackage{multirow}
\renewcommand{\thefootnote}{\fnsymbol{footnote}}
\begin{document}
\title{Measuring the Tor Network\\{\large Evaluation of Bridges and Their Usage in Tor}}
\author{Karsten Loesing}
\maketitle

\begin{abstract}
This document contains the results of an evaluation of bridge archives containing the network statuses, bridge descriptors, and extra-info documents of bridges between May 2008 and June 2009.

The evaluation of bridge data shall answer a couple of questions about bridge usage. These questions start with the number of bridges and the total bandwidth that they transport. Another question is where bridge clients are located. The following analysis focuses on these questions.

All scripts and a howto for performing the evaluation can be found under: \url{git://git.torproject.org/git/metrics/}
\end{abstract}

\begin{figure}
\includegraphics[width=\textwidth]{running.pdf}
\vspace{-0.7cm}
\caption{Running bridges between May 16, 2009 and June 21, 2009. The graph shows clearly that the number of bridges increases continuously over time with a significant increase in June 2009, probably as a result of the Iranian elections.}
\label{fig:running}
\end{figure}

\begin{figure}
\vspace{0.5cm}
\includegraphics[width=\textwidth]{bandwidth.pdf}
\vspace{-0.7cm}
\caption{Observed bandwidth on all bridges between May 2008 and June 2009.
In this analysis, the two history lines of extra-info documents are used to calculate observed bandwidth. The trend towards more bridge usage over time is not as clear as is the trend towards more bridges.
% [The following explanation might be false. It's bridges that have been running as relays before which resulted in the peaks. The updated graph does not include these bridges anymore.]
%A further investigation of the peaks on September 27 and October 30, 2008 revealed another interesting observation: In these two cases, single bridges which were set up the day before the observation contributed 64 and 75\% of the overall bandwidth.
%An explanation could be that these bridges were set up for a specific purpose and then left running for public usage. This observation shows that statistics of bridge usage can be directly influenced by single events.
}
\label{fig:bandwidth}
\end{figure}

\begin{table}[ht]
\caption{Bridge usage by selected countries, inluding the five countries that see most bridge users and a number of countries that might block access to parts of the Internet (the two sets overlap). The numbers represent a rough estimation of the number of users accessing the Tor network over a bridge. The numbers are based on reports by bridges how many users they have seen in the past 48 hours. The trend towards increasing bridge users can be seen for most countries.
%Interestingly, the increase in August cannot be attributed to Chinese users, which speaks against the earlier assumption that the increase is a result of the Olympics.
}
\vspace{0.5cm}
\label{tab:geoip}
\centering
\tabcolsep1.2mm
{\footnotesize
\begin{tabular}{lrrrrrrrrrrrrr}
\toprule
 & \multicolumn{7}{c}{2008} & \multicolumn{6}{c}{2009}\\
 & Jun & Jul & Aug & Sep & Oct & Nov & Dec & Jan & Feb & Mar & Apr & May & Jun\footnotemark\\
\midrule
U.S.A.       & 152 & 235 & 494 & 833 & 799 & 1165 & 1175 & 783 & 953 & 1174 & 1317 & 1510 & 1405\\ % us
Iran         &   0 &  10 &  39 &  36 &  33 &   91 &   78 & 176 & 103 &   26 &  107 &  136 &  487\\ % ir
China        &  33 &  69 &  77 & 100 & 139 &  486 &  394 & 207 & 183 &  151 &  188 &  296 &  390\\ % cn
Germany      &  21 &  64 & 171 & 216 & 260 &  830 &  694 & 562 & 262 &  239 &  209 &  235 &  337\\ % de
Russia       &  27 &  55 & 122 & 220 & 190 &  223 &  334 & 251 & 359 &  207 &  263 &  176 &  305\\ % ru
U.A.E.       &  37 &  67 &  40 &  89 &  38 &  105 &  141 & 175 & 298 &  124 &   76 &  133 &  255\\ % ae
Saudi Arabia &   3 &  11 & 108 & 103 &   9 &  159 &  334 & 221 & 211 &  193 &  217 &  200 &  126\\ % sa
Belarus      &   0 &   3 &   0 &   7 &  80 &  117 &  113 &  54 &  48 &   20 &   36 &   79 &   86\\ % by
Syria        &   0 &   0 &   0 &   3 &   4 &    5 &    1 &   0 &   0 &    0 &   35 &   48 &   64\\ % sy
Pakistan     &   0 &   0 &  13 &   3 &   3 &   33 &   16 &   6 &  25 &   10 &    7 &    8 &   32\\ % pk
Viet Nam     &   0 &   0 &   4 &   0 &   0 &   37 &   30 &  17 &   7 &   36 &   27 &   47 &   25\\ % vn
Azerbaijan   &   0 &   0 &   0 &   0 &   0 &    0 &    8 &   0 &  73 &   42 &  122 &   48 &    0\\ % az
Jordan       &   0 &   0 &   0 &   0 &   0 &    0 &    0 &   0 &   0 &   28 &    8 &   22 &    0\\ % jo
Myanmar      &   0 &   0 &   0 &   0 &   0 &    0 &    0 &   2 &  19 &    0 &    3 &    5 &    0\\ % mm
Egypt        &   0 &   0 &   0 &   0 &   0 &    0 &    0 &   0 &   0 &    0 &    0 &    2 &    0\\ % eg
Kazakhstan   &   0 &   0 &   2 &   0 &   0 &    5 &    9 &   1 &  30 &   40 &   28 &    0 &    0\\ % kz
Uzbekistan   &   0 &   0 &   0 &   0 &   0 &    2 &    0 &   0 &   0 &    0 &    3 &    0 &    0\\ % uz
Yemen        &   0 &   0 &   0 &   0 &   0 &    0 &    2 &   0 &   0 &    0 &    4 &    0 &    0\\ % ye
Morocco      &   0 &   0 &   0 &   0 &   0 &    0 &    0 &   0 &   0 &    0 &    0 &    0 &    0\\ % ma
Sudan        &   0 &   0 &   0 &   0 &   0 &    0 &    0 &   0 &   0 &    0 &    0 &    0 &    0\\ % sd
Tunisia      &   0 &   0 &   0 &   0 &   0 &    0 &    0 &   0 &   0 &    0 &    0 &    0 &    0\\ % tn
\bottomrule
\end{tabular}
}
\begin{minipage}{\linewidth}
\vspace{0.2cm}
{\footnotesize $^{*}$ Estimation based on data up to June 21, 2009.}
\end{minipage}
\end{table}

\end{document}

